Net::Server::Proto::UNIX(3)

NAME
  Net::Server::Proto::UNIX - adp0 - Net::Server UNIX protocol.

SYNOPSIS
See Net::Server::Proto.

DESCRIPTION
Protocol module for Net::Server. This module implements the SOCK_DGRAM and SOCK_STREAM socket types under UNIX. See Net::Server::Proto.

Any sockets created during startup will be chown'ed to the user and group specified in the starup arguments.

PARAMETERS
The following paramaters may be specified in addition to normal command line parameters for a Net::Server. See Net::Server for more information on reading arguments.

unix_type
    Can be either SOCK_STREAM or SOCK_DGRAM (default is SOCK_STREAM). This can also be passed on the port line (see Net::Server::Proto).

unix_path
    Default path to the socket file for this UNIX socket. Default is undef. This can also be passed on the port line (see Net::Server::Proto).

QUICK PARAMETER LIST
  Key               Value                    Default

  ## UNIX socket parameters
  unix_type         (SOCK_STREAM|SOCK_DGRAM) SOCK_STREAM
  unix_path         "filename"               undef

LICENCE
Distributed under the same terms as Net::Server